Bug 739346 - SELinux is preventing /usr/sbin/pptp from using the 'signal' accesses on a process.
Summary: SELinux is preventing /usr/sbin/pptp from using the 'signal' accesses on a pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:99ca496b6cb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 23:04 UTC by Nikolaus Waxweiler
Modified: 2011-12-04 02:35 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-48.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:35:42 UTC


Attachments (Terms of Use)

Description Nikolaus Waxweiler 2011-09-17 23:04:36 UTC
SELinux is preventing /usr/sbin/pptp from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that pptp should be allowed signal access on processes labeled kernel_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pptpcm /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:pptp_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                Unknown [ process ]
Source                        pptpcm
Source Path                   /usr/sbin/pptp
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           pptp-1.7.2-12.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-38.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40.4-5.fc15.i686 #1 SMP
                              Tue Aug 30 14:54:41 UTC 2011 i686 i686
Alert Count                   1
First Seen                    So 18 Sep 2011 00:56:04 CEST
Last Seen                     So 18 Sep 2011 00:56:04 CEST
Local ID                      2f7d5d74-d0f4-4d0a-9aa9-dd8b5601d59c

Raw Audit Messages
type=AVC msg=audit(1316300164.89:330): avc:  denied  { signal } for  pid=22036 comm="pptpcm" scontext=system_u:system_r:pptp_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process


type=SYSCALL msg=audit(1316300164.89:330): arch=i386 syscall=kill success=no exit=EACCES a0=10 a1=f a2=0 a3=92e3628 items=0 ppid=1 pid=22036 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=pptpcm exe=/usr/sbin/pptp subj=system_u:system_r:pptp_t:s0 key=(null)

Hash: pptpcm,pptp_t,kernel_t,process,signal

audit2allow

#============= pptp_t ==============
allow pptp_t kernel_t:process signal;

audit2allow -R

#============= pptp_t ==============
allow pptp_t kernel_t:process signal;

Comment 1 Nikolaus Waxweiler 2011-09-17 23:14:55 UTC
I was trying to get NetworkManager to connect to my university's network via pptp VPN by using a dispatcher script, when this error popped up.

Comment 2 Daniel Walsh 2011-09-19 16:19:22 UTC
I guess we should allow it. We should back port the fix to RHEL6

Comment 3 Nikolaus Waxweiler 2011-09-19 17:40:03 UTC
I should add that this didn't pop up every time I tried to get the script to work, but rather once... No idea if this is more of a bug?!

Comment 4 Miroslav Grepl 2011-09-20 11:26:55 UTC
Fixed in -41.fc15 policy and added to F16, RHEL6

Comment 5 Fedora Update System 2011-11-16 16:17:29 UTC
selinux-policy-3.9.16-48.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-48.fc15

Comment 6 Fedora Update System 2011-11-17 23:35:51 UTC
Package selinux-policy-3.9.16-48.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-48.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16023/selinux-policy-3.9.16-48.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-12-04 02:35:42 UTC
selinux-policy-3.9.16-48.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.